> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get all system environments

GET https://api.getpostman.com/api-catalog/system-environments

Gets all of the authenticated team's system environments.

Reference: https://learning.postman.com/api-docs/api-reference/api-catalog/get-api-catalog-system-environments

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /api-catalog/system-environments:
    get:
      operationId: getApiCatalogSystemEnvironments
      summary: Get all system environments
      description: Gets all of the authenticated team's system environments.
      tags:
        - apiCatalog
      parameters:
        - name: isProduction
          in: query
          description: >-
            If true, filters the response results to return only system
            environments marked as production.
          required: false
          schema:
            $ref: '#/components/schemas/systemEnvironmentProductionFilter'
        - name: limit
          in: query
          description: >-
            The maximum number of rows to return in the response, up to a
            maximum value of 100. Any value greater than 100 returns a 400 Bad
            Request response.
          required: false
          schema:
            $ref: '#/components/schemas/limitDefault20'
            default: 20
        - name: cursor
          in: query
          description: >-
            The pointer to the first record of the set of paginated results. To
            view the next response, use the `nextCursor` value for this
            parameter.
          required: false
          schema:
            $ref: '#/components/schemas/cursor'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getApiCatalogSystemEnvironments'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetApiCatalogSystemEnvironmentsRequestBadRequestError
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    systemEnvironmentProductionFilter:
      type: boolean
      title: systemEnvironmentProductionFilter
    limitDefault20:
      type: integer
      default: 20
      title: limitDefault20
    cursor:
      type: string
      title: cursor
    apiCatalogSystemEnvironmentsFiltersData:
      type: object
      properties:
        isProduction:
          type: boolean
      description: The applied filters, if any.
      title: apiCatalogSystemEnvironmentsFiltersData
    apiCatalogSystemEnvironmentsMetaData:
      type: object
      properties:
        total:
          type: integer
          description: The number of records that match the defined criteria.
        nextCursor:
          type:
            - string
            - 'null'
          description: >-
            The pagination cursor that points to the next record in the results
            set.
        limit:
          type: integer
          description: The maximum number of records in the paginated response.
        filters:
          $ref: '#/components/schemas/apiCatalogSystemEnvironmentsFiltersData'
      required:
        - total
        - nextCursor
        - limit
      description: The response's meta information for paginated results.
      title: apiCatalogSystemEnvironmentsMetaData
    apiCatalogSystemEnvironmentData:
      type: object
      properties:
        id:
          type: string
          description: The system environment's ID.
        name:
          type: string
          description: The system environment's name.
        label:
          type: string
          description: >-
            A lowercase, terminal-friendly identifier for the system
            environment.
        color:
          type: string
          description: A six-digit hex color code.
        description:
          type: string
          description: A description of the system environment.
        isProduction:
          type: boolean
          description: If true, the system environment is a production environment.
        associationCount:
          type: integer
          description: >-
            The total number of workspace environments associated with this
            system environment.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the system environment was created.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the system environment was last updated.
      required:
        - id
        - name
        - label
        - color
        - description
        - isProduction
        - associationCount
        - createdAt
        - updatedAt
      description: Information about the system environment.
      title: apiCatalogSystemEnvironmentData
    getApiCatalogSystemEnvironments:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/apiCatalogSystemEnvironmentsMetaData'
        data:
          type: array
          items:
            $ref: '#/components/schemas/apiCatalogSystemEnvironmentData'
          description: A list of system environments.
      required:
        - meta
        - data
      title: getApiCatalogSystemEnvironments
    apiCatalogErrorPathMessage:
      type: object
      properties:
        path:
          type: string
          description: The path in which the error occurred.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: apiCatalogErrorPathMessage
    apiCatalogError:
      type: object
      properties:
        type:
          type: string
          format: uri
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: An explanation about the problem.
        errors:
          type: array
          items:
            $ref: '#/components/schemas/apiCatalogErrorPathMessage'
          description: A list of errors.
      title: apiCatalogError
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    GetApiCatalogSystemEnvironmentsRequestBadRequestError:
      oneOf:
        - $ref: '#/components/schemas/apiCatalogError'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
      title: GetApiCatalogSystemEnvironmentsRequestBadRequestError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples

### Successful Response



**Response**

```json
{
  "meta": {
    "total": 100,
    "nextCursor": "ZjlkZDAyNTEtZjUxZS00ODdkLTkxY2QtZTE4ZDRkODEwNzc0",
    "limit": 5
  },
  "data": [
    {
      "id": "fffa77cd-fd06-448e-a65d-2f77a0e58dad",
      "name": "TESTING-1774258301513-4358-1",
      "label": "",
      "color": "#FF0000",
      "description": "Testing environment.",
      "isProduction": false,
      "associationCount": 0,
      "createdAt": "2026-03-23T09:31:41.000Z",
      "updatedAt": "2026-03-27T17:56:16.000Z"
    },
    {
      "id": "fecb4dbd-240a-44e9-89f3-4756d8c1c893",
      "name": "TESTING-1772092243420-1818-1",
      "label": "",
      "color": "#FF0000",
      "description": "Testing environment.",
      "isProduction": false,
      "associationCount": 1,
      "createdAt": "2026-02-26T07:50:43.000Z",
      "updatedAt": "2026-03-27T17:56:16.000Z"
    },
    {
      "id": "fde857ad-d590-4f4f-94cd-021d771d88de",
      "name": "TESTING-1774092688416-7397-1",
      "label": "",
      "color": "#FF0000",
      "description": "Testing environment.",
      "isProduction": false,
      "associationCount": 0,
      "createdAt": "2026-03-21T11:31:28.000Z",
      "updatedAt": "2026-03-27T17:56:16.000Z"
    },
    {
      "id": "fdc88e7d-59ab-46d0-ab37-9827936cd510",
      "name": "TESTING-1774189852129-2330-1",
      "label": "",
      "color": "#FF0000",
      "description": "Testing environment.",
      "isProduction": false,
      "associationCount": 0,
      "createdAt": "2026-03-22T14:30:52.000Z",
      "updatedAt": "2026-03-27T17:56:16.000Z"
    },
    {
      "id": "fd741d0d-92bf-4ad8-bfc0-2e9aa0560b12",
      "name": "TESTING-1774002637514-7841-1",
      "label": "",
      "color": "#FF0000",
      "description": "Testing environment.",
      "isProduction": false,
      "associationCount": 0,
      "createdAt": "2026-03-20T10:30:37.000Z",
      "updatedAt": "2026-03-27T17:56:16.000Z"
    }
  ]
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/api-catalog/system-environments"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/api-catalog/system-environments';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/api-catalog/system-environments"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/api-catalog/system-environments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/api-catalog/system-environments")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/api-catalog/system-environments', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/api-catalog/system-environments");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/api-catalog/system-environments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Filter by isProduction



**Response**

```json
{
  "meta": {
    "total": 1,
    "nextCursor": null,
    "limit": 20,
    "filters": {
      "isProduction": true
    }
  },
  "data": [
    {
      "id": "e34d6213-509d-4b61-94da-8b8c093cb925",
      "name": "PRODUCTION",
      "label": "prod",
      "color": "#EF4444",
      "description": "Production environment.",
      "isProduction": true,
      "associationCount": 0,
      "createdAt": "2026-03-27T11:38:30.000Z",
      "updatedAt": "2026-03-27T12:26:16.000Z"
    }
  ]
}
```

**SDK Code**

```python Filter by isProduction
import requests

url = "https://api.getpostman.com/api-catalog/system-environments"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Filter by isProduction
const url = 'https://api.getpostman.com/api-catalog/system-environments';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Filter by isProduction
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/api-catalog/system-environments"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Filter by isProduction
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/api-catalog/system-environments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Filter by isProduction
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/api-catalog/system-environments")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Filter by isProduction
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/api-catalog/system-environments', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Filter by isProduction
using RestSharp;

var client = new RestClient("https://api.getpostman.com/api-catalog/system-environments");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Filter by isProduction
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/api-catalog/system-environments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```